import 'package:flutter/material.dart';
import 'package:flutter_gadgets/flutter_gadgets.dart';

import 'model/alien_counter.dart';
import 'view/home_screen.dart';

void main() {
  runApp(
    AppGadget(
      beans: {
        toBeanKey(AlienCounter): AlienCounter(),
      },
      child: App(),
    ),
  );
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Alien Counter',
      home: HomeScreen(),
    );
  }
}
