import 'package:flutter/material.dart';
import 'package:flutter_gadgets/flutter_gadgets.dart';

import 'const.dart';
import 'view/game_screen.dart';
import 'view/welcome_screen.dart';

void main() {
  runApp(AppGadget(child: App()));
}

class App extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Number Guess',
      routes: {
        ROUTE_WELCOME: (_) => WelcomeScreen(),
        ROUTE_GAME: (_) => GameScreen()
      },
      initialRoute: ROUTE_WELCOME,
    );
  }
}
